Real-Time Tick
Provides comprehensive fund data API. For on-exchange funds, it offers real-time tick-level transactions and order book data for ETFs, LOFs and other varieties; for off-exchange funds, it provides accurate intraday real-time NAV estimates (IOPV) and official NAV after market close. Data covers mainstream markets including Chinese funds, US funds, and Hong Kong funds.
GET
/fund/tickRequest Parameters
regionenumRequiredMarket code
codestringRequiredProduct code
Response Parameters
codenumberResponse code
msgstringResponse description
dataobject▶Response result
sstringSymbol code
ldnumberLatest price
tnumberTimestamp of the latest trade
vnumberTransaction volume
Code Examples
import requests
url = "https://api.itick.org/fund/tick?region=US&code=QQQ"
headers = {
"accept": "application/json"
"token": "Your Token"
}
response = requests.get(url, headers=headers)
print(response.text)Query URL
GET
https://api.itick.org/fund/tick?region=US&code=QQQ, Run query
Response Result
{
"code": 0,
"msg": null,
"data": {
"s": "QQQ",
"ld": 553.88,
"t": 1754092799000, // 2025-08-01 23:59:59 UTC
"v": 11888
}
}